summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2005-08-08 15:16:40 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-08-08 15:16:40 +0000
commit9707ef90ba9f1bdb4d9292bf4c241bf0c9716217 (patch)
tree837ff056fa4593706c11c85fcecb646b6ad6412d /packages
parentac2189551d8f54baafe3e5526bd38433f8f9cf8a (diff)
parent0a873fcb06c64d24f12ed36de6e77d0d94ff3201 (diff)
merge of e9dd020fc3fd113d6a079b11a238249de03ff731
and f9d3b94ab86532d41ac3eded503c6e47d6d8de4c
Diffstat (limited to 'packages')
-rw-r--r--packages/altboot/files/altboot-menu/Advanced/80-copyrootfs325
-rw-r--r--packages/altboot/files/init.altboot2
-rw-r--r--packages/cyrus-imapd/files/volatiles2
-rw-r--r--packages/glibmm/glibmm_2.6.1.bb27
-rw-r--r--packages/libgpewidget/libgpewidget-0.102/cairo.patch39
-rw-r--r--packages/libgpewidget/libgpewidget_0.102.bb2
-rw-r--r--packages/linux/linux-openzaurus_2.6.13-rc5-mm1.bb2
-rw-r--r--packages/meta/openslug-packages.bb1
-rw-r--r--packages/meta/ucslugc-packages.bb1
-rw-r--r--packages/postfix/files/main.cf_2.05
10 files changed, 402 insertions, 4 deletions
diff --git a/packages/altboot/files/altboot-menu/Advanced/80-copyrootfs b/packages/altboot/files/altboot-menu/Advanced/80-copyrootfs
new file mode 100644
index 0000000000..bac366303c
--- /dev/null
+++ b/packages/altboot/files/altboot-menu/Advanced/80-copyrootfs
@@ -0,0 +1,325 @@
+# !/bin/sh
+M_TITLE="Copy rootfs to SD/CF"
+
+exit 0
+
+die() {
+ echo "ERROR: $1" >/dev/tty0
+ exec $SH_SHELL </dev/tty0 >/dev/tty0 2>&1
+}
+
+ask_target() {
+ available_disks="`mount | grep "/media" | grep -v ram | awk '{print $3}'`"
+
+ if test -z "$available_disks"
+ then
+ die "No mounted targets found!"
+ fi
+
+ cnt=1
+ for d in $available_disks
+ do
+ echo -e "\t[$cnt] $d"
+ let cnt=$cnt+1
+ done
+
+ while test -z "$ROOTFS_TARGET"
+ do
+ echo -n "Target: "
+ read junk </dev/tty1
+
+ x=1
+ for d in $available_disks
+ do
+ if test "$junk" = "$x"
+ then
+ ROOTFS_TARGET="$d"
+ break
+ fi
+ let x=$x+1
+ done
+
+
+ done
+
+ ROOTFS_TARGET_DEV="`mount | grep "$ROOTFS_TARGET " | awk '{print $1}'`"
+ ROOTFS_TARGET_FS="`mount | grep "$ROOTFS_TARGET " | awk '{print $5}'`"
+
+ echo "Using [$ROOTFS_TARGET] on [$ROOTFS_TARGET_DEV] with [$ROOTFS_TARGET_FS] filesystem"
+}
+
+ask_format() {
+ if test "$ROOTFS_TARGET_FS" != ext2
+ then
+ echo -e "\nYou are not using the ext2 filesystem on your target.\nYou now have two choices:"
+ echo -e "\t[1] Reformat to ext2"
+ echo -e "\t[2] Use an image-file ontop of the existing filesystem"
+
+ while true
+ do
+ echo -n "Your choice: "
+ read junk </dev/tty1
+
+ case "$junk" in
+ 1) ROOTFS_TARGET_TYPE="ext2"
+ break ;;
+ 2) ROOTFS_TARGET_TYPE="image"
+ break ;;
+ esac
+ done
+
+ echo "Mode: [$ROOTFS_TARGET_TYPE]"
+ else
+ echo -e "\nYou are using the ext2 filesystem on your target.\nYou now have two choices:"
+ echo -e "\t[1] Install to the target directly"
+ echo -e "\t[2] Use an image-file ontop of the existing filesystem\n"
+
+ while true
+ do
+ echo -n "Your choice: "
+ read junk </dev/tty1
+
+ case "$junk" in
+ 1) ROOTFS_TARGET_TYPE="direct"
+ break ;;
+ 2) ROOTFS_TARGET_TYPE="image"
+ break ;;
+ esac
+ done
+
+ echo "Mode: [$ROOTFS_TARGET_TYPE]"
+
+ fi
+}
+
+ask_confirm() {
+ echo -e "\nYour choices are:"
+ echo -e "\tTarget:\t$ROOTFS_TARGET_DEV (currently mounted as $ROOTFS_TARGET)"
+ case "$ROOTFS_TARGET_TYPE" in
+ direct) echo -e "\tType:\t${C_RED}direct install, reformat if required${C_RESET}";;
+ image) echo -e "\tType:\tinstall into image-file";;
+ esac
+
+ while true
+ do
+ echo -n "Continue? [y|n] "
+ read junk </dev/tty1
+
+ case "$junk" in
+ y) break ;;
+ n) exit 1
+ esac
+ done
+}
+
+direct_install() {
+
+ format_target
+
+ echo -n "Creating temporary directory..."
+ mkdir -p /media/temp && echo ok || die "mkdir -p /media/temp failed!"
+
+ echo -n "Mounting [$ROOTFS_TARGET_DEV] as /media/temp..."
+ mount "$ROOTFS_TARGET_DEV" /media/temp && echo "ok" || die "mount "$ROOTFS_TARGET_DEV" /media/temp FAILED"
+
+ copy_files
+}
+
+format_target() {
+ echo -e "\n\nI'm about to format your target ($ROOTFS_TARGET_DEV) to the ext2 filesystem\n"
+ echo -e "${C_RED}YOU WILL LOSE ALL DATA ON YOUR TARGET IF YOU CONTINUE${C_RESET}\n"
+
+ while true
+ do
+ echo -n "Continue? [y|n] "
+ read junk </dev/tty1
+
+ case "$junk" in
+ y) break ;;
+ n) die "User aborted mkfs"
+ break ;;
+ esac
+ done
+
+ echo -n "Umounting $ROOTFS_TARGET_DEV..."
+ umount "$ROOTFS_TARGET_DEV" && echo "ok" || die "umount $ROOTFS_TARGET_DEV failed!"
+
+
+ echo "Formatting..."
+ /sbin/mkfs.ext2 -m0 "$ROOTFS_TARGET_DEV" && echo -e "\nmkfs.ext2 finished" || die "\nmkfs.ext2 FAILED"
+ }
+
+image_install() {
+ flash_size="` df -h | grep "/"$| awk '{print $3}'| sed s/M//`"
+
+ echo -e "\nHow many MB do you want to configure for the image file?"
+ echo -e "It is generally a good idea to use 2.5x the used flash size ($flash_size)\n"
+
+ while test -z "$ROOTFS_IMAGE_SIZE"
+ do
+ echo -n "Size in MegaBytes: "
+ read junk
+
+ # test fails if $junk isn't a number
+ if test "$junk" -gt 0 >/dev/null 2>&1
+ then
+ echo -n "Use [$junk]MB? [y|n] "
+ read junk2
+ if test "$junk2" = y
+ then
+ ROOTFS_IMAGE_SIZE="$junk"
+ fi
+ fi
+ done
+
+ echo -e "\nPlease enter a name for the image file."
+ echo "The name must _not_ contain whitespaces or the '-' sign."
+
+ while test -z "$ROOTFS_IMAGE_NAME"
+ do
+ echo -n "File name: "
+ read junk
+
+ if ! test -z "$junk"
+ then
+ echo -n "Use [$junk] as image name? [y|n] "
+ read junk2
+
+ if test "$junk2" = y
+ then
+ ROOTFS_IMAGE_NAME="$junk"
+ fi
+ fi
+ done
+
+ echo -e "\nDo you want to format [$ROOTFS_TARGET_DEV] to the ext2 filesystem?"
+
+ while true
+ do
+ echo -n "Format to ext2? [y|n] "
+ read junk
+ case "$junk" in
+ y) format_target
+ break ;;
+ n) break ;;
+ esac
+ done
+
+ /etc/init.d/devices start
+
+ echo -en "\nCreating image file [$ROOTFS_TARGET/$IMAGE_PATH/$ROOTFS_IMAGE_NAME-rootfs.bin] (${ROOTFS_IMAGE_SIZE}MB)..."
+ mkdir -p "$ROOTFS_TARGET/$IMAGE_PATH"
+
+ dd if=/dev/zero of="$ROOTFS_TARGET/$IMAGE_PATH/$ROOTFS_IMAGE_NAME-rootfs.bin" bs=1024k count=$ROOTFS_IMAGE_SIZE >/dev/null 2>&1 && echo ok || die "FAILED"
+ losetup /dev/loop1 "$ROOTFS_TARGET/$IMAGE_PATH/$ROOTFS_IMAGE_NAME-rootfs.bin"
+
+ echo -n "Creating filesystem..."
+ mkfs.ext2 -m0 /dev/loop1 >/dev/null 2>&1 && echo ok || die FAILED
+
+ mkdir -p /media/temp
+ mount /dev/loop1 /media/temp || die "mount /dev/loop1 /media/temo FAILED!"
+
+ copy_files
+
+}
+
+copy_files() {
+ echo -e "\nCopying files..."
+
+ exclude_list="tmp sys proc var dev media root"
+ mkdir_list="var proc sys dev media/card media/cf /media/hdd"
+
+ if (cat /etc/fstab | grep -q "/home")
+ then
+ echo "Note: /home appears to be mounted on a different flash partition: not copying /home"
+ exclude_list="$exclude_list home"
+ mkdir_list="$mkdir_list home/root"
+
+ fi
+
+
+
+ source_dirs="`ls -1 /`"
+
+ echo -n "Excluding ["
+ for d in $exclude_list
+ do
+ echo -n "$d "
+ source_dirs="`echo "$source_dirs" | grep -v "$d"`"
+ done
+ echo "] from copy"
+
+
+ cd /
+ for dir in $source_dirs
+ do
+ if test -d "$dir"
+ then
+ echo -n "Copying [$dir]..."
+ cp -a $dir /media/temp && echo ok || echo FAILED
+ fi
+ done
+
+ for dir in $mkdir_list
+ do
+ mkdir -p /media/temp/$dir
+ done
+
+ rm /media/temp/etc/rcS.s/S39sd
+
+}
+run_module() {
+
+ test -e /etc/altboot.func && . /etc/altboot.func || die "ERROR: /etc/altboot.func not found. Check your installation!"
+
+ echo -e "${C_RED}* * * * * WARNING * * * * *${C_RESET}"
+ echo -e "${C_RED}Continueing will delete the content of the selected target device.\nTHIS IS NO JOKE. If you do now know what this menu-item does, exit NOW${C_RESET}"
+
+ mount -o remount,rw /
+
+ while true
+ do
+ echo -en "\nContinue? [y|n] "
+ read junk </dev/tty1
+
+ if test "$junk" = n
+ then
+ exit 0
+ fi
+
+ if test "$junk" = y
+ then
+ break
+ fi
+ done
+
+# echo -n "Trying to activate PCMCIA..."
+# cardmgr -o >/dev/null 2>&1 && echo ok || echo "FAILED"
+#
+# echo -n "Trying to mount SD card..."
+# /etc/init.d/sd start >/dev/null 2>&1
+# sleep 3
+# /etc/sdcontrol insert >/dev/null 2>&1 && echo ok || echo "FAILED"
+
+ #exit 0
+ echo -e "\nPlease select the target device:"
+
+ # Sets ROOTFS_TARGET*
+ ask_target
+
+ # Sets ROOTFS_TARGET_TYPE ([direct | image]
+ ask_format
+
+ # Ask confirmation
+ ask_confirm
+
+ case "$ROOTFS_TARGET_TYPE" in
+ direct) direct_install;;
+ image) image_install;;
+ esac
+}
+
+case "$1" in
+title) echo "$M_TITLE";;
+run) run_module;;
+esac
diff --git a/packages/altboot/files/init.altboot b/packages/altboot/files/init.altboot
index d9443c568e..57560b8326 100644
--- a/packages/altboot/files/init.altboot
+++ b/packages/altboot/files/init.altboot
@@ -252,7 +252,7 @@ else
# Execute scripts in /etc/altboot.rc before doing anything else.
# Required for special situations, like booting spitz
- for file in `ls -1 /etc/altboot.rc/*.sh`
+ for file in `ls -1 /etc/altboot.rc/*.sh` >/dev/null 2>&1
do
. $file >/dev/tty1 2>&1 || echo "/etc/altboot.rc/$file failed!"
done
diff --git a/packages/cyrus-imapd/files/volatiles b/packages/cyrus-imapd/files/volatiles
index f707ff5519..e0a55493b3 100644
--- a/packages/cyrus-imapd/files/volatiles
+++ b/packages/cyrus-imapd/files/volatiles
@@ -1,4 +1,4 @@
-d cyrus mail 0750 /var/lib/cyrus
+d cyrus mail 0755 /var/lib/cyrus
d cyrus root 0755 /var/lib/cyrus/db
d cyrus mail 0755 /var/lib/cyrus/proc
d cyrus mail 0755 /var/lib/cyrus/sieve
diff --git a/packages/glibmm/glibmm_2.6.1.bb b/packages/glibmm/glibmm_2.6.1.bb
new file mode 100644
index 0000000000..f65abf61bc
--- /dev/null
+++ b/packages/glibmm/glibmm_2.6.1.bb
@@ -0,0 +1,27 @@
+DESCRIPTION = "C++ bindings for the glib library."
+HOMEPAGE = "http://www.gtkmm.org/"
+SECTION = "libs"
+PRIORITY = "optional"
+MAINTAINER = "Johan Bilien <jobi@via.ecp.fr>"
+LICENSE = "LGPL"
+DEPENDS = "gtk+ libsigc++-2.0"
+PR = "r2"
+
+SRC_URI = "ftp://ftp.gnome.org/pub/GNOME/sources/glibmm/2.6/glibmm-${PV}.tar.bz2"
+
+inherit autotools pkgconfig flow-lossage
+
+FILES_${PN} = "${libdir}/lib*.so.*"
+
+LIBV = "2.6.1"
+
+do_stage () {
+ oe_libinstall -so -C glib/glibmm libglibmm-2.4 ${STAGING_LIBDIR}
+ oe_libinstall -so -C tools/extra_defs_gen libglibmm_generate_extra_defs-2.6 ${STAGING_LIBDIR}
+
+ autotools_stage_includes
+
+ install -m 0644 glib/glibmmconfig.h ${STAGING_INCDIR}/glibmm-2.6
+
+ install -m 0644 scripts/glibmm_check_perl.m4 ${STAGING_DATADIR}/aclocal/
+}
diff --git a/packages/libgpewidget/libgpewidget-0.102/cairo.patch b/packages/libgpewidget/libgpewidget-0.102/cairo.patch
index e69de29bb2..64b0dd3a3f 100644
--- a/packages/libgpewidget/libgpewidget-0.102/cairo.patch
+++ b/packages/libgpewidget/libgpewidget-0.102/cairo.patch
@@ -0,0 +1,39 @@
+--- /tmp/gpeclockface.c 2005-08-07 22:30:20.000000000 +0200
++++ libgpewidget-0.102/gpeclockface.c 2005-08-08 10:10:09.180756032 +0200
+@@ -1,5 +1,5 @@
+ /*
+- * Copyright (C) 2003 Philip Blundell <philb@gnu.org>
++ * Copyright (C) 2003, 2005 Philip Blundell <philb@gnu.org>
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+@@ -11,6 +11,7 @@
+
+ #include <sys/types.h>
+ #include <stdio.h>
++#include <string.h>
+ #include <stdlib.h>
+ #include <math.h>
+ #include <string.h>
+@@ -267,7 +268,7 @@
+ 0,
+ 2 * M_PI);
+ cairo_fill (clock->cr);
+- cairo_set_rgb_color (clock->cr, 0, 0, 0);
++ cairo_set_source_rgba (clock->cr, 0, 0, 0, 1.0);
+ cairo_arc (clock->cr,
+ clock->x_offset + clock->radius,
+ clock->y_offset + clock->radius,
+@@ -493,11 +494,10 @@
+ gcm = gdk_drawable_get_colormap (widget->window);
+
+ #ifdef HAVE_CAIRO
+- clock->cr = cairo_create ();
+ clock->surface = cairo_xlib_surface_create (dpy, GDK_WINDOW_XWINDOW (clock->backing_pixmap),
+ gdk_x11_visual_get_xvisual (gv), 0,
+ gdk_x11_colormap_get_xcolormap (gcm));
+- cairo_set_target_surface (clock->cr, clock->surface);
++ clock->cr = cairo_create (clock->surface);
+ #else
+ clock->backing_poly_gc = gdk_gc_new (clock->backing_pixmap);
+ #endif
diff --git a/packages/libgpewidget/libgpewidget_0.102.bb b/packages/libgpewidget/libgpewidget_0.102.bb
index 4954dd336e..35f09b5c21 100644
--- a/packages/libgpewidget/libgpewidget_0.102.bb
+++ b/packages/libgpewidget/libgpewidget_0.102.bb
@@ -1,5 +1,5 @@
LICENSE = "LGPL"
-PR = "r1"
+PR = "r2"
DESCRIPTION = "libgpewidget contains a collection of widgets and other common code shared by many GPE applications."
SECTION = "gpe/libs"
PRIORITY = "optional"
diff --git a/packages/linux/linux-openzaurus_2.6.13-rc5-mm1.bb b/packages/linux/linux-openzaurus_2.6.13-rc5-mm1.bb
index 6648fff740..1ab1eecffa 100644
--- a/packages/linux/linux-openzaurus_2.6.13-rc5-mm1.bb
+++ b/packages/linux/linux-openzaurus_2.6.13-rc5-mm1.bb
@@ -54,7 +54,7 @@ SRC_URI = "ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.12.tar.gz \
${RPSRC}/corgi_power1-r1.patch;patch=1 \
${DOSRC}/mmc-bulk-r0.patch;patch=1 \
${RPSRC}/mmc_timeout-r0.patch;patch=1 \
- ${RPSRC}/corgi_snd-r8.patch;patch=1 \
+ ${RPSRC}/corgi_snd-r10.patch;patch=1 \
${DOSRC}/rmk-i2c-pxa-r0.patch;patch=1 \
${RPSRC}/spitz_mtd-r0.patch;patch=1 \
${RPSRC}/ipaq/hx2750_base-r20.patch;patch=1 \
diff --git a/packages/meta/openslug-packages.bb b/packages/meta/openslug-packages.bb
index 75fe4699a8..533f188795 100644
--- a/packages/meta/openslug-packages.bb
+++ b/packages/meta/openslug-packages.bb
@@ -57,6 +57,7 @@ OPENSLUG_PACKAGES = "\
cvs\
cyrus-imapd \
db4 \
+ diffstat \
dnsmasq \
expat \
ftpd-topfield \
diff --git a/packages/meta/ucslugc-packages.bb b/packages/meta/ucslugc-packages.bb
index d705de728d..e9377823b6 100644
--- a/packages/meta/ucslugc-packages.bb
+++ b/packages/meta/ucslugc-packages.bb
@@ -31,6 +31,7 @@ UCSLUGC_PACKAGES = "\
cvs\
cyrus-imapd \
db4 \
+ diffstat \
diffutils \
dnsmasq \
expat \
diff --git a/packages/postfix/files/main.cf_2.0 b/packages/postfix/files/main.cf_2.0
index 1c50b4ae00..002f681217 100644
--- a/packages/postfix/files/main.cf_2.0
+++ b/packages/postfix/files/main.cf_2.0
@@ -1,19 +1,24 @@
#!/bin/sh
cat <<EOF
+# Configure your domain and accounts
mydomain=sample.com
virtual_mailbox_domains = sample.com, other.net
virtual_mailbox_maps = hash:/etc/postfix/virtual
virtual_alias_maps = hash:/etc/postfix/virtual_alias
+
# You'll start with the following lines for maildir storage
virtual_mailbox_base = /var/spool/vmail
virtual_uid_maps = static:`grep vmail /etc/passwd | cut -d ":" -f 3`
virtual_gid_maps = static:`grep vmail /etc/passwd | cut -d ":" -f 4`
+
# You'll start with the following lines for IMAP storage
+#virtual_transport = lmtp:unix:/var/lib/cyrus/socket/lmtp
+# General stuff here again
config_directory = /etc/postfix
sample_directory = /etc/postfix
queue_directory = /var/spool/postfix